API
HQ APIReports

Get sales by employee report

GET/v1/hq/companies/{company_id}/reports/sales-by-employee
AuthorizationBearer <token>

The Noona HQ API uses Bearer token for authentication.

Endpoints that return generic information that does not contain sensitive data do not require authentication. Endpoints that require authentication are specifically marked in the documentation.

Authorization: Bearer your-token

In: header

Path Parameters

company_id*string

Query Parameters

filter*

Response Body

application/json

curl -X GET "https://api.noona.is/v1/hq/companies/string/reports/sales-by-employee?from=2019-08-24T14%3A15%3A22Z&to=2019-08-24T14%3A15%3A22Z&employee_ids=string&issuer_ids=string"
[
  {
    "employee_id": "string",
    "employee_name": "string",
    "work_amount_incl_vat": 0.1,
    "work_amount_excl_vat": 0.1,
    "work_amount_exempt_vat": 0.1,
    "product_amount_incl_vat": 0.1,
    "product_amount_excl_vat": 0.1,
    "voucher_amount_incl_vat": 0.1,
    "voucher_amount_excl_vat": 0.1,
    "claim_amount_incl_vat": 0.1,
    "claim_amount_excl_vat": 0.1,
    "unknown_amount_incl_vat": 0.1,
    "unknown_amount_excl_vat": 0.1,
    "sale_quantity": 0,
    "return_quantity": 0
  }
]
Empty
Empty
Empty
Empty
Empty